Inspect

Get memory context

Read the active memory context for a user. Personal memories default to the API key user; pass `user_id` to read another user's context.

Base URL
GET
/api/public/v1/memories/context

Read the active memory context for a user. Personal memories default to the API key user; pass user_id to read another user's context.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Query Parameters

user_id?string

User whose personal memories are included. Defaults to the API key user. Ignored when include_personal is false.

Length1 <= length
include_personal?boolean

Set to false to exclude personal memories from the context.

Defaulttrue
directive_limit?integer

Maximum number of directive memories to return.

Formatint32
Range1 <= value <= 25
Default20
fact_limit?integer

Maximum number of fact memories to return.

Formatint32
Range1 <= value <= 100
Default50

Response Body

Active memory context for the requested scopes

application/json
  1. response
data*
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/memories/context'
Example Response
{  "data": {    "scopes": [      {        "type": "personal",        "id": "string"      }    ],    "directives": [      {        "id": "string",        "title": "string",        "description": "string",        "content": "string",        "memoryType": "fact",        "updatedAt": "2019-08-24T14:15:22Z",        "scope": {          "type": "personal",          "id": "string"        }      }    ],    "facts": [      {        "id": "string",        "title": "string",        "description": "string",        "content": "string",        "memoryType": "fact",        "updatedAt": "2019-08-24T14:15:22Z",        "scope": {          "type": "personal",          "id": "string"        }      }    ]  }}